Loading...
Searching...
No Matches
BALL::MMFF94StretchBendParameters Class Reference
Molecular Modeling » Molecular Mechanics » MMFF94 Force Field.

`#include <BALL/MOLMEC/MMFF94/MMFF94Parameters.h>`

Inheritance diagram for BALL::MMFF94StretchBendParameters:

## Public Types

typedef HashMap< Position, std::pair< double, double > > | StretchBendMap
| Map with the force constant and reference angle.

## Public Member Functions

| MMFF94StretchBendParameters ()
| Default constructor.
virtual | ~MMFF94StretchBendParameters ()
| Destructor.
const MMFF94StretchBendParameters & | operator= (const MMFF94StretchBendParameters &param)
| Assignment operator.
virtual void | clear ()
| Clear method.
bool | assignParameters (Position stretch_bend_type, const Atom &atom1, const Atom &atom2, const Atom &atom3, double &kba_ijk, double &kba_kji) const
bool | readEmpiricalParameters (Parameters &p, const String &section)
Public Member Functions inherited from BALL::MMFF94ParametersBase
| MMFF94ParametersBase ()
| Default constructor.
virtual | ~MMFF94ParametersBase ()
| Destructor.
const MMFF94ParametersBase & | operator= (const MMFF94ParametersBase &)
| Assignment operator.
bool | isInitialized ()
bool | readParameters (Parameters &p, const String &section)
void | setEquivalences (const MMFF94AtomTypeEquivalences &equi)

## Protected Member Functions

virtual bool | setup_ (const std::vector< std::vector< String > > &)
Position | getIndex_ (Position stretch_bend_type, Position atom_type1, Position atom_type2, Position atom_type3) const
Position | getIndexByRow_ (Position r1, Position r2, Position r3) const

## Protected Attributes

StretchBendMap | parameters_
| parameters
StretchBendMap | buffered_parameters_
StretchBendMap | parameters_by_row_
Protected Attributes inherited from BALL::MMFF94ParametersBase
bool | is_initialized_
Size | number_expected_fields_
const MMFF94AtomTypeEquivalences * | equiv_

## Detailed Description

MMFF94 parameters for stretch-bend interactions (see MMFFSTBN.PAR)

Definition at line 310 of file MMFF94Parameters.h.

## Member Typedef Documentation

## StretchBendMap

typedef HashMap<Position, std::pair<double, double> > BALL::MMFF94StretchBendParameters::StretchBendMap

Map with the force constant and reference angle.

Definition at line 316 of file MMFF94Parameters.h.

## Constructor & Destructor Documentation

## MMFF94StretchBendParameters()

BALL::MMFF94StretchBendParameters::MMFF94StretchBendParameters | ( |  | ) |

Default constructor.

## ~MMFF94StretchBendParameters()

virtual BALL::MMFF94StretchBendParameters::~MMFF94StretchBendParameters | ( |  | ) |

virtual

Destructor.

## Member Function Documentation

## assignParameters()

bool BALL::MMFF94StretchBendParameters::assignParameters | ( | Position | stretch_bend_type,
|  | const Atom & | atom1,
|  | const Atom & | atom2,
|  | const Atom & | atom3,
|  | double & | kba_ijk,
|  | double & | kba_kji ) const

## clear()

virtual void BALL::MMFF94StretchBendParameters::clear | ( |  | ) |

virtual

Clear method.

Reimplemented from BALL::MMFF94ParametersBase.

## getIndex_()

Position BALL::MMFF94StretchBendParameters::getIndex_ | ( | Position | stretch_bend_type,
|  | Position | atom_type1,
|  | Position | atom_type2,
|  | Position | atom_type3 ) const

protected

## getIndexByRow_()

Position BALL::MMFF94StretchBendParameters::getIndexByRow_ | ( | Position | r1,
|  | Position | r2,
|  | Position | r3 ) const

protected

## operator=()

const MMFF94StretchBendParameters & BALL::MMFF94StretchBendParameters::operator= | ( | const MMFF94StretchBendParameters & | param | ) |

Assignment operator.

## readEmpiricalParameters()

bool BALL::MMFF94StretchBendParameters::readEmpiricalParameters | ( | Parameters & | p,
|  | const String & | section )

read parameters for stretch-bends and for assignment by periodic table row

Exceptions

  BALL::Exception::FileNotFound |

## setup_()

virtual bool BALL::MMFF94StretchBendParameters::setup_ | ( | const std::vector< std::vector< String > > & |  | ) |

protected virtual

Reimplemented from BALL::MMFF94ParametersBase.

## Member Data Documentation

## buffered_parameters_

StretchBendMap BALL::MMFF94StretchBendParameters::buffered_parameters_

mutable protected

Definition at line 356 of file MMFF94Parameters.h.

## parameters_

StretchBendMap BALL::MMFF94StretchBendParameters::parameters_

protected

parameters

Definition at line 355 of file MMFF94Parameters.h.

## parameters_by_row_

StretchBendMap BALL::MMFF94StretchBendParameters::parameters_by_row_

protected

Definition at line 357 of file MMFF94Parameters.h.